## org.junit.experimental.max
Class MaxHistory

    java.lang.Object
      org.junit.experimental.max.MaxHistory

All Implemented Interfaces:
  Serializable

    public class MaxHistory

extends Object
implements Serializable

Stores a subset of the history of each test:

- Last failure timestamp
- Duration of last execution

See Also:
  Serialized Form

Method Summary
`static MaxHistory` `forFolder(File file)` Loads a `MaxHistory` from `file`, or generates a new one that will be saved to `file`.
`RunListener` `listener()`
`Comparator<Description>` `testComparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forFolder

    public static MaxHistory forFolder(File file)

  Loads a `MaxHistory` from `file`, or generates a new one that will be saved to `file`.

### listener

    public RunListener listener()

  Returns:
    a listener that will update this history based on the test results reported.

### testComparator

    public Comparator<Description> testComparator()

  Returns:
    a comparator that ranks tests based on the JUnit Max sorting rules, as described in the `MaxCore` class comment.

Copyright © 2002–2020 JUnit. All rights reserved.